unit Unit3;

interface

uses
  Windows, Tx4oleLib_TLB;

procedure HighlightHyperlinks(tx : TTXTextControl; bHighlight : Boolean);

implementation

//
// HighlightHyperlinks
//
// Display hyperlinks underlined and in blue color, or as normal text
//

procedure HighlightHyperlinks(tx : TTXTextControl; bHighlight : Boolean);
var
    iFieldID : Integer;
    start : LongInt;
begin

    start := tx.SelStart;

    iFieldID := 0;
    iFieldID := tx.FieldNext(iFieldID, $200);
    While iFieldID <> 0 do begin
        tx.FieldCurrent := iFieldID;
        tx.FormatSelection := True;
        tx.SelStart := tx.FieldStart - 1;
        tx.SelLength := tx.FieldEnd - tx.FieldStart + 1;
        If bHighlight Then begin
            tx.ForeColor := RGB(0, 0, 255);
            tx.FontUnderline := 1;
        end Else begin
            tx.ForeColor := RGB(0, 0, 0);
            tx.FontUnderline := 0;
        End;
        iFieldID := tx.FieldNext(iFieldID, $200);
    end;
    tx.SelLength := 0;
    tx.SelStart := start;
End;

end.
 