unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, DBCtrls, Db, StdCtrls, DBTables;

type
  TForm2 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Button1: TButton;
    Button2: TButton;
    DataSource1: TDataSource;
    DBNavigator1: TDBNavigator;
    Table1: TTable;
    procedure Button2Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure DBNavigator1Click(Sender: TObject; Button: TNavigateBtn);
    procedure Button1Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form2: TForm2;

implementation

uses Unit1;

{$R *.DFM}

procedure TForm2.Button2Click(Sender: TObject);
begin
   Table1.Active := False;
   close;
end;

procedure TForm2.FormShow(Sender: TObject);
begin
   { Connect to database }
   Table1.TableName := 'Data.db';
   DataSource1.DataSet := Table1;
   Table1.Active := True;
   DBNavigator1.DataSource := DataSource1;

   { Load first record }
   Edit1.Text := Table1.Fields[0].AsString;
   Edit2.Text := Table1.Fields[1].AsString;
   Edit3.Text := Table1.Fields[2].AsString;
end;

procedure TForm2.DBNavigator1Click(Sender: TObject; Button: TNavigateBtn);
begin
   case Button of

      nbFirst, nbPrior, nbNext, nbLast:
         { Move to another record and load it into the Text Control }
         begin
              Edit1.Text := Table1.Fields[0].AsString;
              Edit2.Text := Table1.Fields[1].AsString;
              Edit3.Text := Table1.Fields[2].AsString;
         end;
   end;
end;

procedure TForm2.Button1Click(Sender: TObject);
begin
    Form1.TXTextControl1.FieldCurrent := 1;
    Form1.TXTextControl1.FieldText := Form2.Edit1.Text;
    Form1.TXTextControl1.FieldCurrent := 2;
    Form1.TXTextControl1.FieldText := Form2.Edit2.Text;
    Form1.TXTextControl1.FieldCurrent := 3;
    Form1.TXTextControl1.FieldText := Form2.Edit3.Text;
end;

end.
