unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, Tx4oleLib_TLB, OleCtrls;

type
  TForm1 = class(TForm)
    TXTextControl1: TTXTextControl;
    TXRuler1: TTXRuler;
    TXButtonBar1: TTXButtonBar;
    TXStatusBar1: TTXStatusBar;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Open1: TMenuItem;
    Save1: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    Edit1: TMenuItem;
    Cut1: TMenuItem;
    Copy1: TMenuItem;
    Paste1: TMenuItem;
    N2: TMenuItem;
    Delete1: TMenuItem;
    Insert1: TMenuItem;
    Header1: TMenuItem;
    Firstpageheader1: TMenuItem;
    N3: TMenuItem;
    Footer1: TMenuItem;
    Firstpagefooter1: TMenuItem;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    procedure FormShow(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure Cut1Click(Sender: TObject);
    procedure Copy1Click(Sender: TObject);
    procedure Paste1Click(Sender: TObject);
    procedure Delete1Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure Header1Click(Sender: TObject);
    procedure Firstpageheader1Click(Sender: TObject);
    procedure Footer1Click(Sender: TObject);
    procedure Firstpagefooter1Click(Sender: TObject);
    procedure Open1Click(Sender: TObject);
    procedure Save1Click(Sender: TObject);
  private
  public
    { Public declarations }
  end;

var
  Form1: TForm1;


implementation

{$R *.DFM}

procedure TForm1.FormShow(Sender: TObject);
begin
    TXTextControl1.ButtonBarHandle := TXButtonBar1.hWnd;
    TXTextControl1.RulerHandle := TXRuler1.hWnd;
    TXTextControl1.StatusBarHandle := TXStatusBar1.hWnd;
    TXTextControl1.FormatSelection := True;
end;

procedure TForm1.FormResize(Sender: TObject);
begin
    If WindowState <> wsMinimized Then
        TXTextControl1.Height := ClientHeight - TXButtonBar1.Height - TXRuler1.Height - TXStatusBar1.Height;
end;

procedure TForm1.Cut1Click(Sender: TObject);
begin
     TXTextControl1.Clip (1);
end;

procedure TForm1.Copy1Click(Sender: TObject);
begin
     TXTextControl1.Clip (2);
end;

procedure TForm1.Paste1Click(Sender: TObject);
begin
     TXTextControl1.Clip (3);
end;

procedure TForm1.Delete1Click(Sender: TObject);
begin
     TXTextControl1.Clip (4);
end;

procedure TForm1.Exit1Click(Sender: TObject);
begin
     Close;
end;

procedure TForm1.Header1Click(Sender: TObject);
begin
    If Header1.Checked = False Then begin
        TXTextControl1.HeaderFooter := TXTextControl1.HeaderFooter + txHeader;
        TXTextControl1.HeaderFooterSelect (txHeader);
        TXTextControl1.SelText := 'Header';
        TXTextControl1.HeaderFooterSelect(0);
        TXTextControl1.HeaderFooterActivate (txHeader);
        Header1.Checked := True;
    end Else begin
        TXTextControl1.HeaderFooter := TXTextControl1.HeaderFooter - txHeader;
        Header1.Checked := False;
    End;
end;

procedure TForm1.Firstpageheader1Click(Sender: TObject);
begin
    If Firstpageheader1.Checked = False Then begin
        TXTextControl1.HeaderFooter := TXTextControl1.HeaderFooter + txFirstHeader;
        TXTextControl1.HeaderFooterSelect (txFirstHeader);
        TXTextControl1.SelText := 'First page header';
        TXTextControl1.HeaderFooterSelect (0);
        TXTextControl1.HeaderFooterActivate (txFirstHeader);
        Firstpageheader1.Checked := True;
    end Else begin
        TXTextControl1.HeaderFooter := TXTextControl1.HeaderFooter - txFirstHeader;
        Firstpageheader1.Checked := False;
    End;
end;

procedure TForm1.Footer1Click(Sender: TObject);
begin
    If Footer1.Checked = False Then begin
        TXTextControl1.HeaderFooter := TXTextControl1.HeaderFooter + txFooter;
        TXTextControl1.HeaderFooterSelect (txFooter);
            TXTextControl1.SelText := 'Footer';
        TXTextControl1.HeaderFooterSelect (0);
        TXTextControl1.HeaderFooterActivate (txFooter);
        Footer1.Checked := True;
    end Else begin
        TXTextControl1.HeaderFooter := TXTextControl1.HeaderFooter - txFooter;
        Footer1.Checked := False;
    End;
end;

procedure TForm1.Firstpagefooter1Click(Sender: TObject);
begin
    If Firstpagefooter1.Checked = False Then begin
        TXTextControl1.HeaderFooter := TXTextControl1.HeaderFooter + txFirstFooter;
        TXTextControl1.HeaderFooterSelect (txFirstFooter);
        TXTextControl1.SelText := 'First page footer';
        TXTextControl1.HeaderFooterSelect (0);
        TXTextControl1.HeaderFooterActivate (txFirstFooter);
        Firstpagefooter1.Checked := True;
    end Else begin
        TXTextControl1.HeaderFooter := TXTextControl1.HeaderFooter - txFirstFooter;
        Firstpagefooter1.Checked := False;
    End;
end;

procedure TForm1.Open1Click(Sender: TObject);
begin
  OpenDialog1.Title := 'Open file';
  OpenDialog1.Filename := '';
  OpenDialog1.Filter := 'Text Control Demo (*.txm)|*.txm';
  OpenDialog1.FilterIndex := 1;
  If OpenDialog1.Execute then begin;
    // Pass the filename to the text control
    TXTextControl1.Load(OpenDialog1.Filename, 0, 3, 0);
  end;
end;

procedure TForm1.Save1Click(Sender: TObject);
begin
  SaveDialog1.Title := 'Save as ...';
  SaveDialog1.Filename := '';
  SaveDialog1.Filter := 'Text Control Demo (*.txm)|*.txm';
  SaveDialog1.FilterIndex := 1;
  SaveDialog1.DefaultExt := 'txm';
  if SaveDialog1.Execute then begin;
    // Pass the filename to the text control
    TXTextControl1.Save(SaveDialog1.Filename, 0, 3, 0);
  end;
end;

end.
