unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, OleCtrls, Tx4oleLib_TLB;

type
  TForm1 = class(TForm)
    TXTextControl1: TTXTextControl;
    MainMenu1: TMainMenu;
    Edit1: TMenuItem;
    HypertextLink1: TMenuItem;
    View1: TMenuItem;
    HypertextLinks1: TMenuItem;
    Insert1: TMenuItem;
    HypertextLink2: TMenuItem;
    procedure FormResize(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure Insert1Click(Sender: TObject);
    procedure HypertextLink1Click(Sender: TObject);
    procedure TXTextControl1FieldSetCursor(Sender: TObject;
      FieldId: Smallint; var MousePointer: Smallint);
    procedure HypertextLinks1Click(Sender: TObject);
    procedure Edit1Click(Sender: TObject);
    procedure HypertextLink2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Unit2, Unit3;

{$R *.DFM}

procedure TForm1.FormResize(Sender: TObject);
begin
     TXTextControl1.Height := ClientHeight;
end;

procedure TForm1.FormActivate(Sender: TObject);
begin
    TXTextControl1.PageHeight := 15000;
    TXTextControl1.ScrollBars := 3;
end;

procedure TForm1.Insert1Click(Sender: TObject);
begin
     Hypertextlink2.Enabled := (TXTextControl1.FieldAtInputPos = 0);
end;

procedure TForm1.HypertextLink1Click(Sender: TObject);
begin
    Form2.tx := TXTextControl1;
    Form2.ShowModal;
end;

procedure TForm1.TXTextControl1FieldSetCursor(Sender: TObject;
  FieldId: Smallint; var MousePointer: Smallint);
begin
     MousePointer := 12;
end;

procedure TForm1.HypertextLinks1Click(Sender: TObject);
begin
    HypertextLinks1.Checked := Not Hypertextlinks1.Checked;
    HighlightHyperlinks(TXTextControl1, Hypertextlinks1.Checked);
end;

procedure TForm1.Edit1Click(Sender: TObject);
begin
     Hypertextlink1.Enabled := (TXTextControl1.FieldAtInputPos <> 0);
end;

procedure TForm1.HypertextLink2Click(Sender: TObject);
begin
    Form2.tx := TXTextControl1;
    Form2.ShowModal;
end;

end.
